List conversations
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "5d2f7a3e-0000-4000-8000-000000000000",
"object": "conversation",
"status": "active",
"agent": null,
"agent_version": null,
"channel": "whatsapp",
"external_ref": null,
"turns": 3,
"metadata": {},
"created_at": "2026-01-15T10:00:00+00:00",
"updated_at": "2026-01-15T10:05:00+00:00",
"contact": {
"name": "Sam",
"phone": "+15550100101",
"lead_id": "8a1e0c7b-0000-4000-8000-000000000000"
},
"human_control": {
"on": false,
"reason": "",
"since": "",
"state": "ai",
"pending_since": ""
},
"window": {
"open": true,
"last_inbound_at": "2026-01-15T10:04:00+00:00",
"closes_at": "2026-01-16T10:04:00+00:00"
},
"capabilities": {
"can_text": true,
"can_template": true,
"can_media": true,
"window_open": true,
"window": {
"open": true
},
"tags": []
},
"whatsapp_number": "100000000000001"
}
],
"has_more": false,
"next_cursor": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
List conversations
Lists conversations, oldest update first. Without state, it lists the conversations that a person has taken over. Needs the messages:read scope.
GET
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
conversations
/
List conversations
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "5d2f7a3e-0000-4000-8000-000000000000",
"object": "conversation",
"status": "active",
"agent": null,
"agent_version": null,
"channel": "whatsapp",
"external_ref": null,
"turns": 3,
"metadata": {},
"created_at": "2026-01-15T10:00:00+00:00",
"updated_at": "2026-01-15T10:05:00+00:00",
"contact": {
"name": "Sam",
"phone": "+15550100101",
"lead_id": "8a1e0c7b-0000-4000-8000-000000000000"
},
"human_control": {
"on": false,
"reason": "",
"since": "",
"state": "ai",
"pending_since": ""
},
"window": {
"open": true,
"last_inbound_at": "2026-01-15T10:04:00+00:00",
"closes_at": "2026-01-16T10:04:00+00:00"
},
"capabilities": {
"can_text": true,
"can_template": true,
"can_media": true,
"window_open": true,
"window": {
"open": true
},
"tags": []
},
"whatsapp_number": "100000000000001"
}
],
"has_more": false,
"next_cursor": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Response
Success